Method: projects.locations.units.list

단위 컬렉션을 가져옵니다.

HTTP 요청

GET https://saasservicemgmt.googleapis.com/v1/{parent=projects/*/locations/*}/units

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
parent

string

필수 항목입니다. 단위의 상위 요소입니다.

쿼리 파라미터

매개변수
pageSize

integer

페이지당 전송할 최대 단위 수입니다.

pageToken

string

페이지 토큰: 이전 응답의 nextPageToken이 제공되면 이 요청은 후속 페이지를 전송합니다.

filter

string

https://google.aip.dev/160에 지정된 대로 목록을 필터링합니다.

orderBy

string

https://google.aip.dev/132에 지정된 대로 결과를 정렬합니다.

요청 본문

요청 본문은 비어 있어야 합니다.

응답 본문

units.list 메서드의 응답 구조입니다.

성공한 경우 응답 본문은 다음과 같은 구조의 데이터를 포함합니다.

JSON 표현
{
  "units": [
    {
      object (Unit)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
필드
units[]

object (Unit)

결과 단위입니다.

nextPageToken

string

있는 경우 다음 페이지 토큰을 후속 units.list 호출에 제공하여 다음 페이지를 나열할 수 있습니다. 비어 있으면 더 이상 페이지가 없습니다.

unreachable[]

string

도달할 수 없는 위치입니다.

승인 범위

다음 OAuth 범위가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform

자세한 내용은 Authentication Overview를 참조하세요.

IAM 권한

parent 리소스에 대해서는 다음 IAM 권한이 필요합니다.

  • saasservicemgmt.units.list

자세한 내용은 IAM 문서를 참조하세요.